// ************************************************************* 
//
// *************************************************************
void CheckRx(byte seri) 
{
 char cDataCnt = 0;
 

 if(!RxTimeOver[seri])
 {
   actRxTime[seri] = millis();
   
// Overflow behandeln
  if(actRxTime[seri] < preRxTime[seri])
    preRxTime[seri] = actRxTime[seri];
   

  if(actRxTime[seri] - preRxTime[seri] > 10)
  {
    preRxTime[seri] = actRxTime[seri];
    RxTimeOver[seri] = true;
    CheckRxString(0);
    RxCnt[seri] = 0;
     return;
  }
 }


 if(seri == 0)
  cDataCnt = Serial.available();

   if(cDataCnt > 0)
   { 
     RxTimeOver[seri] = false;
  
     RxBuf[seri][RxCnt[seri]] = Serial.read(); 
     preRxTime[seri] = actRxTime[seri] = millis(); // Nachdem ein Byte Empfangen wurde, wird der Timer zurückgesetzt   
     RxTimeOver[seri] = false;
     RxCnt[seri]++;

    if(RxCnt[seri] > 15)
     RxCnt[seri] = 0;
  }
 
}


/*******************************************
/* CheckRx0String()
/*******************************************/
void CheckRxString(byte seri)
{
  RxBuf[seri][RxCnt[seri]] = 0; // String terminieren
  int i = 0;
  
  boolean xOK = false;
  
  sCmd = (char*)RxBuf[seri];  
  sCmd.trim();
  sCmd.toLowerCase();
  
  Serial.println();
  Serial.print(F("Eingabe: "));
  Serial.println(sCmd);
   
  i = sCmd.indexOf(":"); // Schreibbefehl
  
  if(i != -1 && sCmd.length() <= 24)
   xOK = SetConfig();


  if(sCmd == F("help") || sCmd == F("hilfe") || sCmd == F("?"))
  {
   SendHelp();
   xOK = true;
  } 
  

  if(sCmd == F("info"))
  {
   ShowConfig();
   xOK = true;
  }    
 
  if(sCmd == F("id"))
  {
   Serial.print(F("Device ID: "));
   Serial.println(bMySlaveID);

   xOK = true;
  }


  if(sCmd == F("rid:"))
  {
    if(xTwi)
    {
     display.ReIniDisplay();     
     Serial.print("Display wurde reinitialisiert\r\n");
    }
    else
     Serial.print("Vor Reinitialisierung TWI mit \"twi:1\" einschalten\r\n");
     
   xOK = true;
  }


  if(sCmd == F("reset:"))
  {
   Serial.println("Reset ausgeführt");
   delay(200);
   
 __asm volatile ("jmp 0 \n");  
  // xOK = true;
  }
  
 
   if(!xOK)
   {
    //Serial.println();
    Serial.print(F("Unbekannter Befehl "));
    Serial.print('"');
    Serial.print(sCmd);
    Serial.println('"');
   }

}
