// ************************************************************* 
//
// *************************************************************
void WriteGfxBuffer()
{
 static uint8_t i = 0;


//PORTJ |=  128;  //PIN J7 einschalten 

      PortToDisplay(i);
   
     
//PORTJ &=  127;  //PIN J7 ausschalten

  i++;

 if(bBoardType == 32 && i == 2)
    i = 4; 

 if(bBoardType == 32 && i >= 6)
    i = 0;
 
 
 if(i >= 8)
  i = 0; 
}


// ************************************************************* 
// IniGfxRam()
// *************************************************************
void IniGfxRam()
{
    display.setTextColor(WHITE);
  // Clear the buffer.
  display.clearDisplay();

   display.setCursor(0, 0);
   display.print("0"); 

   display.setCursor(66, 0);
   display.print("1");     
   

 if(bBoardType == 32)
 {
  display.setCursor(0, 23);
  display.print("AKtron-IO-32");

  display.setCursor(31, 47);
  display.print("4");
   
  display.setCursor(31, 57);
  display.print("5"); 
 }
 else
 { 
  display.setCursor(0, 23);  
  display.print("AKtron-IO-64");
 
   display.setCursor(0, 9);
   display.print("2");
   
   display.setCursor(66, 9);
   display.print("3");

   display.setCursor(0, 47);
   display.print("4");
   
   display.setCursor(66, 47);
   display.print("6"); 
   
   display.setCursor(0, 57);
   display.print("5");
   
   display.setCursor(66, 57);
   display.print("7"); 

 }
   
     display.setCursor(0, 33);
     display.print("LOGO-EM");
     display.print(sVersion);
     display.print(" ID: ");

     display.setCursor(110, 33);     
     display.print(bMySlaveID);
  
}

// ************************************************************* 
// PortToDisplay()
// *************************************************************
void PortToDisplay(byte bPort)
 {
  static bool xToggle = false;
  static bool xPreToggle = false;
  static unsigned int iCnt = 0;
  
  byte i;
  byte m = 1;

  unsigned int y = 0;
  unsigned int h = 0; // Hilfsvariable
  unsigned int iPos = 511;

  if(iCnt++ == 5000)
  {
   xToggle^=1;
   iCnt = 0;
  }

  switch(bPort)
  {
    case 1:
    y = 2;
    break;

    case 3:
    y = 2;
    break;

    case 4:
    y = 512;
    if(bBoardType == 32)
     y += 31;
    break;

    case 5: // Ist nicht Port 5
    y = 576;
    if(bBoardType == 32)
     y += 31;
    break;
   
    case 6: // Ist nicht Port 6
    y = 450;
    break;

    case 7:
    y = 514;
    break;        
  }

  y = y + (bPort * 64);
  
  if(bPort <=3) // Eingänge?
  {
   for(i=0; i<=7; i++)
   {
    h = 8 + (i*7);
    
    if((bI[bPort] & m) > 0)
    {
     display.buffer[  h + y] = 127;
     display.buffer[++h + y] = 127;
     display.buffer[++h + y] = 127;
     display.buffer[++h + y] = 127;
     display.buffer[++h + y] = 127;
    }
    else
    {
     display.buffer[  h + y] = 96;
     display.buffer[++h + y] = 96;
     display.buffer[++h + y] = 96;
     display.buffer[++h + y] = 96;
     display.buffer[++h + y] = 96;
    }
    m*=2;   
  }
 }
 else
 { // Ausgänge
  for(i=0; i<=7; i++)
  {
   h = 8 + (i*7);
   
   if((bQ[bPort] & m) > 0)
    {
     display.buffer[  h + y] = 127;
     display.buffer[++h + y] = 127;
     display.buffer[++h + y] = 127;
     display.buffer[++h + y] = 127;
     display.buffer[++h + y] = 127;
    }
    else
    {
     display.buffer[  h + y] = 96;
     display.buffer[++h + y] = 96;
     display.buffer[++h + y] = 96;
     display.buffer[++h + y] = 96;
     display.buffer[++h + y] = 96;
    }
    m*=2;   
  }  
 }
 // HeartBeat
 
   if(xPreToggle != xToggle)
   { // nur bei Zustandsaenderung in Displaybuffer schreiben
    xPreToggle = xToggle;
    
    if(xToggle)
    {
     display.buffer[iPos+128] = 0x0F;
     display.buffer[iPos] = 0xF0;
    }
    else
    {
     display.buffer[iPos] = 0x0F;
     display.buffer[iPos+128] = 0xF0;
    }
   }
}
