/*******************************************
/* SendHelp()
/*******************************************/
void SendHelp()
{
  Serial.println(F("Allgmein:"));
  Serial.println(F(""));
  Serial.println(F("    Alle Kommandos koennen mit Gross- oder Kleinbuchstaben erfolgen."));
  Serial.println(F("    Intern werden alle Buchstaben in Kleinbuchstaben umgewandelt"));
  Serial.println(F("    Kommandos mit ':' sind Schreibkommandos. Der erlaubte Wertebereich"));
  Serial.println(F("    der einzelnen Kommandos wird in dieser Hilfe in eckigen Klammern angegeben"));
  Serial.println(F("-----------------------------------------------------------------------------------"));
  Serial.println(F("Abfrage-Kommando:"));
  Serial.println(F("hilfe     Kann auch mit 'help' oder'?' aufgerufen werden"));
  Serial.println();
  Serial.println(F("id        Ausgabe der Hardware ID"));
  Serial.println();  
  Serial.println(F("info      Ausgabe von Hardwaretyp, Firmwareversion, ID, TWI (I2C), LinkMode, PORTJ7"));
  Serial.println();

  Serial.println(F("-----------------------------------------------------------------------------------"));
  Serial.println(F("Schreib-Kommando:"));  
  Serial.println(F("id:1      Schreibt die ID 1 in die Hardware [1...2]"));
  Serial.println();
  Serial.println(F("twi:1     Schaltet TWI (I2C) EIN [0...1]"));
  Serial.println(F("          0 = AUS"));
  Serial.println(F("          1 = EIN"));  
  Serial.println(F("          statt twi kann auch i2c eingegeben werden"));
  Serial.println();
  Serial.println(F("lm:0      Schreibt den LinkMode auf TTL [0...2]"));
  Serial.println(F("          0 = TTL"));
  Serial.println(F("          1 = RS485"));
  Serial.println(F("          2 = Telemetrie Funk-Modul (zB. 3DR)"));
  Serial.println();
  Serial.println(F("pj7:1     Schaltet LED Port J Bit 7 EIN [0...1]"));
  Serial.println(F("          0 = AUS"));
  Serial.println(F("          1 = EIN"));
  Serial.println(F("rid:      Display Reinitialisierung"));
  Serial.println();
  Serial.println(F("reset:    Software Reset"));
  Serial.println();
}
