// ************************************************************* 
//
// ************************************************************* 
void setup()
{
 DDRG  &=  B11111011; // Eingang PORTG.2 Board-Check 32/64
 PORTG |=  B00000100;  // Pullup setzen
 
 DDRJ  |=  B10000000; // Status LED Ausgang PORTJ.7
 

 LED_ON  //PIN J7 einschalten
 delay(200);
 LED_OFF  //PIN J7 ausschalten
 delay(200);
 LED_ON;  //PIN J7 einschalten
 delay(200);
 LED_OFF  //PIN J7 ausschalten 

  
  Serial.begin (57600);  
  Serial1.begin(57600);  //RS485-Bus (Rückwandbus)
  Serial3.begin(57600);  //USART TTL (Rückwandbus)


 // Welche Hardware-Variante (BoardType)?
  if((PING & B00000100) > 0)
   bBoardType = 32;
  else
   bBoardType = 64; 


//EEPROM.write(EE_MySlaveID, 1);

   // DeviceID lesen
   bMySlaveID = EEPROM.read(EE_MySlaveID);
   
   if((bMySlaveID < 0x01) || (bMySlaveID > 0x02))
    bMySlaveID = 0x01;

   xTwi = (bool)EEPROM.read(EE_Twi);
   
   if(xTwi > 0x01)  // kann wegen Datentyp [bool] nicht größer 1 sein
    xTwi = true;

   bLinkMode = EEPROM.read(EE_LinkMode);
   
   if(bLinkMode > 2)
    bLinkMode = 0;

   if(bLinkMode == 0)
   {
    bComFailureTime = 60;
    bDifTxDelay     = 0;
   }

   if(bLinkMode == 1)    
   {
    bComFailureTime = 100;
    bDifTxDelay     = 8;
   }

   if(bLinkMode == 2)
   {
    bComFailureTime = 200;
    bDifTxDelay     = 16;
   }

   bSendComModeToMaster[3] = 0xA0 + bLinkMode;      
   Serial3.write(bSendComModeToMaster, 4);
   delay(10);
   Serial1.write(bSendComModeToMaster, 4);        


  TxBuf[0][1] = TxBuf[1][1] = TxBuf[2][1] = TxBuf[3][1] = bMySlaveID; 

 display._i2caddr = 0x3C; // 0x3D

 if(xTwi)
 {
  display.TWIInit();
  display.xTwiBegin = true;
  
  while(display.xTwiBegin)
  {
   display.TwiBeginSimultan();
  }
  
  IniGfxRam();
 }
    
   
 ShowConfig();


for(bP=0; bP <= 7; bP++)
{
 bReverse[bP] = 0;
 bInverse[bP] = 0;
}

 IniDDR();

 pTx[0] = &TxBuf[0][0];
 pTx[1] = &TxBuf[1][0];
 pTx[2] = &TxBuf[2][0];
 pTx[3] = &TxBuf[3][0];

 TxBuf[0][1] = TxBuf[1][1] = bMySlaveID;

 RxComActive[0] = RxComActive[1] = RxComActive[2] = RxComActive[3] = false;
 preComTime[0]  = preComTime[1]  = preComTime[2]  = preComTime[3]  = 0; // vorherige Zeit

 // Variablen für Rx-Byte Empfangsausfall

 preRxTime[0] = 0; // vorherige Zeit
 preRxTime[1] = 0; // vorherige Zeit
 preRxTime[2] = 0; // vorherige Zeit
 preRxTime[3] = 0; // vorherige Zeit

 actGetIOTime = preGetIOTime = millis();
 actTxDelay[1]   = preTxDelay[1]   = millis();
 actTxDelay[3]   = preTxDelay[3]   = millis();

 WatchDogSetup();
}
